public class ResistorTest {

    public static void main(String[] args) {

        Resistor r1 = new SimpleResistor(100);
        Resistor r2 = new SimpleResistor(200);
        Resistor r3 = new SimpleResistor(300);
        Resistor r4 = new SimpleResistor(400);
        Resistor r5 = new SimpleResistor(500);
        Resistor r6 = new SimpleResistor(600);

        Resistor r = new ParallelResistorNet(
                new ParallelResistorNet(
                        new SerialResistorNet(new ParallelResistorNet(r1, r3), r2),
                        new SerialResistorNet(r4, r5)
                ),
                r6
        );

        System.out.println("Gesamtwiderstand (in Ohm): " + r.ohm());
        System.out.println("Anzahl Widerstaende:       " + r.resistors());

    }

}
