public class PotentiometerTest {

    public static void main(String[] args) {

        Resistor r1 = new SimpleResistor(100);
        Resistor r2 = new SimpleResistor(200);
        Resistor r3 = new SimpleResistor(300);
        Potentiometer r4 = new Potentiometer();
        Resistor r5 = new SimpleResistor(500);
        Resistor r6 = new SimpleResistor(600);

        Resistor r = new ParallelResistorNet(
                new ParallelResistorNet(
                        new SerialResistorNet(new ParallelResistorNet(r1, r3), r2),
                        new SerialResistorNet(r4, r5)
                ),
                r6
        );

        for (double val = 0; val <= 5000; val += 200) {
			r4.setOhm(val);
			System.out.println("Gesamtwiderstand (Poti: " + val + "): " + r.ohm());
		}
        System.out.println("Anzahl Widerstaende:       " + r.resistors());

    }

}
